﻿using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace UserService.Infrastructure.DataModels
{
    public abstract class Member : Node
    {
        [EmailAddress]
        public string? EMail { get; set; }

        public ICollection<UserMember> Members { get; set; } = new List<UserMember>();
    }
}